Subject: FvwmPager problems

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 12 Jul 2002 21:08:46 +0000

1) This is a pretty old problem, all others are new.
FvwmEvent executing a function on add_window does not work fine with a
transient pager, a pager beeps after 4 seconds. Try this minimal config:

  *FvwmEvent-NewWindow: add_window CheckWindow
  AddToFunc CheckWindow I Next ("does not matter here") something
  FvwmEvent FvwmEvent-NewWindow

  # press Ctrl-Mouse2
  Mouse 2 A C  FvwmPager -transient
  Mouse 2 A SC FvwmPager -transient 0 3

2) With the current cvs it is easy to get more than one pager label
higlighted in a multi-desk pager, see the first screenshot.

3) I also experience drawing problems of the current page, like on the
screenshot, but I can't say whether the problem in FvwmPager or colorsets.
This is with the fvwm-themes cvs. If you can't find a possible problem
from the screenshots, forget it until I have a time to reduce the config.

I send 2 images: pager-1 is bad, pager-2 is the same pager after resizing
it (and canceling using Esc), it is is fully correct.

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Sun, 14 Jul 2002 01:02:37 +0200

>   Mouse 2 A SC FvwmPager -transient 0 3

Not really a bug.  And it isn't the pager that beeps, it's fvwm.
The transient pager grabs the pointer.  This is necessary so that
the pager is closed reliably.  At the same time, FvwmEvent
executes a complex function - which also needs to grab the
pointer.  Since FvwmPager is faster, fvwm can't grab and beeps.
As it is practically impossible to find out if a function needs to
grab the pointer or not, I see no way out of this.  We'd have to
find a reliable way to detect a button press/release outside the
pager window without grabbing the pointer.

> higlighted in a multi-desk pager, see the first screenshot.

Fixed.

> >from the screenshots, forget it until I have a time to reduce the config.

I'll wait.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Sun, 14 Jul 2002 13:37:46 +0000

> from the screenshots, forget it until I have a time to reduce the config.

Here is a minimal config that recovers the problem that is on screenshots.
I think you have lightsky.png (try: locate lightsky.png) but any other
image is just good.

  *FvwmPager-Desker: Colorset * 14
  *FvwmPager-Desker: HilightColorset * 15

  Colorset 14 fg white, bg rgb:90/67/64
  Colorset 15 fg rgb:ff/ff/da, bg average, \
    Pixmap $[HOME]/.fvwm/themes/current/images/background/lightsky.png

  EdgeScroll 0 0      # good for this test. Why is this not a default?
  Style Fvwm* Sticky  # just to make FvwmConsole and FvwmPager sticky
  FvwmPager FvwmPager-Desker 0 3

Only the current page on the first desk is highlited. On other desks
it looks like transparent that is not refreshed, i.e. if you move or
delete any window you will see its trace like on the first screenshot.
At least with my XFree86-4.2.0.

If I resize a pager, the current page subwindow in the pager is refreshed
well, but not on different desks (all 4 behave independently).

If I reissue the same Colorset 15 line for the second time in FvwmConsole,
the problem in the running pager (but not in new pagers) is corrected,
until a pager is resized (then the pixmap on other desks is not resized).

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 17 Jul 2002 23:17:35 +0200

Fixed.

Bye

Dominik ^_^  ^_^